#   File:       FW Receiver.68K.make
#   Target:     FW Receiver.68K
#   Sources:    :Sources:AppleEvents.c
#               :Sources:BareBones.c
#               :Sources:Events.c
#               :Sources:Initialize.c
#               :Sources:Menus.c
#               :Sources:Utilities.c
#               :Sources:Windows.c
#               :Sources:Lists.c
#   Created:    Monday, January 29, 1996 00:54:20 AM


MAKEFILE     = "FW Receiver.68K.make"
#MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild =
Includes     = 
		-i :Sources:
Sym68K      = 
ObjDir68K   = :Objects:

COptions     = {Includes} {Sym68K} 

Objects68K  = 
		"{ObjDir68K}AppleEvents.c.o" 
		"{ObjDir68K}BareBones.c.o" 
		"{ObjDir68K}Events.c.o" 
		"{ObjDir68K}Initialize.c.o" 
		"{ObjDir68K}Menus.c.o" 
		"{ObjDir68K}Utilities.c.o" 
		"{ObjDir68K}Windows.c.o" 
		"{ObjDir68K}Lists.c.o"


"FW Receiver.68k"  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'wFWR' 
		"{Libraries}MacRuntime.o" 
		"{Libraries}Interface.o"


"FW Receiver.68k"  {MondoBuild} ":Resources:FW Receiver.rsrc"
	Echo 'Include ":Resources:FW Receiver.rsrc";' | Rez -append -o "FW Receiver.68K"

"FW Receiver.68K"  {MondoBuild} ":Resources:Tabs LDEF.68K.rsrc"
	Echo 'Include ":Resources:Tabs LDEF.68K.rsrc";' | Rez -append -o "FW Receiver.68K"

"FW Receiver.68K"  {MondoBuild} ":Resources:Size.rsrc"
	Echo 'Include ":Resources:Size.rsrc";' | Rez -append -o "FW Receiver.68K"

"{ObjDir68K}AppleEvents.c.o"  {MondoBuild} :Sources:AppleEvents.c 
                                :Sources:BareBones.h 
                                :Sources:Prototypes.h
	{C} :Sources:AppleEvents.c -o {Targ} {COptions}

"{ObjDir68K}BareBones.c.o"  {MondoBuild} :Sources:BareBones.c 
                              :Sources:Prototypes.h 
                              :Sources:BareBones.h
	{C} :Sources:BareBones.c -o {Targ} {COptions}

"{ObjDir68K}Events.c.o"  {MondoBuild} :Sources:Events.c 
                              :Sources:BareBones.h 
                              :Sources:Prototypes.h
	{C} :Sources:Events.c -o {Targ} {COptions}

"{ObjDir68K}Initialize.c.o"  {MondoBuild} :Sources:Initialize.c 
                               :Sources:BareBones.h 
                               :Sources:Prototypes.h
	{C} :Sources:Initialize.c -o {Targ} {COptions}

"{ObjDir68K}Menus.c.o"  {MondoBuild} :Sources:Menus.c 
                          :Sources:BareBones.h 
                          :Sources:Prototypes.h
	{C} :Sources:Menus.c -o {Targ} {COptions}

"{ObjDir68K}Utilities.c.o"  {MondoBuild} :Sources:Utilities.c 
                              :Sources:BareBones.h 
                              :Sources:Prototypes.h
	{C} :Sources:Utilities.c -o {Targ} {COptions}

"{ObjDir68K}Windows.c.o"  {MondoBuild} :Sources:Windows.c 
                            :Sources:BareBones.h 
                            :Sources:Prototypes.h
	{C} :Sources:Windows.c -o {Targ} {COptions}

"{ObjDir68K}Lists.c.o"  {MondoBuild} :Sources:Lists.c 
                          :Sources:BareBones.h 
                          :Sources:Prototypes.h
	{C} :Sources:Lists.c -o {Targ} {COptions}

