#   File:       FW Receiver.PPC.make
#   Target:     FW Receiver.PPC
#   Sources:    :Sources:AppleEvents.c
#               :Sources:BareBones.c
#               :Sources:Events.c
#               :Sources:Initialize.c
#               :Sources:Menus.c
#               :Sources:Utilities.c
#               :Sources:Windows.c
#               :Sources:Lists.c
#   Created:    Monday, January 29, 1996 01:00:34 AM


MAKEFILE     = "FW Receiver.PPC.make"
#MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild =
Includes     = 
		-i :Sources:
SymPPC      = 
ObjDirPPC   = :Objects:

PPCCOptions  = {Includes} {SymPPC}

ObjectsPPC  = 
		"{ObjDirPPC}AppleEvents.c.x" 
		"{ObjDirPPC}BareBones.c.x" 
		"{ObjDirPPC}Events.c.x" 
		"{ObjDirPPC}Initialize.c.x" 
		"{ObjDirPPC}Menus.c.x" 
		"{ObjDirPPC}Utilities.c.x" 
		"{ObjDirPPC}Windows.c.x" 
		"{ObjDirPPC}Lists.c.x"

"FW Receiver.PPC"  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c 'wFWR' 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{PPCLibraries}StdCRuntime.o" 
		"{PPCLibraries}PPCCRuntime.o"


"FW Receiver.PPC"  {MondoBuild} ":Resources:FW Receiver.rsrc"
	Echo 'Include ":Resources:FW Receiver.rsrc";' | Rez -append -o "FW Receiver.PPC"

"FW Receiver.PPC"  {MondoBuild} ":Resources:Tabs LDEF.68K.rsrc"
	Echo 'Include ":Resources:Tabs LDEF.68K.rsrc";' | Rez -append -o "FW Receiver.PPC"

"FW Receiver.PPC"  {MondoBuild} ":Resources:Size.rsrc"
	Echo 'Include ":Resources:Size.rsrc";' | Rez -append -o "FW Receiver.PPC"


"{ObjDirPPC}AppleEvents.c.x"  {MondoBuild} :Sources:AppleEvents.c 
                                :Sources:BareBones.h 
                                :Sources:Prototypes.h
	{PPCC} :Sources:AppleEvents.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}BareBones.c.x"  {MondoBuild} :Sources:BareBones.c 
                              :Sources:Prototypes.h 
                              :Sources:BareBones.h
	{PPCC} :Sources:BareBones.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Events.c.x"  {MondoBuild} :Sources:Events.c 
                              :Sources:BareBones.h 
                              :Sources:Prototypes.h
	{PPCC} :Sources:Events.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Initialize.c.x"  {MondoBuild} :Sources:Initialize.c 
                               :Sources:BareBones.h 
                               :Sources:Prototypes.h
	{PPCC} :Sources:Initialize.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Menus.c.x"  {MondoBuild} :Sources:Menus.c 
                          :Sources:BareBones.h 
                          :Sources:Prototypes.h
	{PPCC} :Sources:Menus.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Utilities.c.x"  {MondoBuild} :Sources:Utilities.c 
                              :Sources:BareBones.h 
                              :Sources:Prototypes.h
	{PPCC} :Sources:Utilities.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Windows.c.x"  {MondoBuild} :Sources:Windows.c 
                            :Sources:BareBones.h 
                            :Sources:Prototypes.h
	{PPCC} :Sources:Windows.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Lists.c.x"  {MondoBuild} :Sources:Lists.c 
                          :Sources:BareBones.h 
                          :Sources:Prototypes.h
	{PPCC} :Sources:Lists.c -o {Targ} {PPCCOptions}
