#   File:       Folder Watcher FBA.68K.make
#   Target:     Folder Watcher FBA.68K
#   Sources:    :Sources:FBA.c
#               :Sources:FBAAppleEvents.c
#               :Sources:FBALists.c
#               :Sources:FBATask.c
#   Created:    Friday, January 26, 1996 02:22:11 PM


MAKEFILE     = "Folder Watcher FBA.68K.make"
#MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild =
Includes     = 
		-i :Sources:
Sym68K      = 
ObjDir68K   = :Objects:

COptions     = {Includes} {Sym68K} 

Objects68K  = 
		"{ObjDir68K}FBA.c.o" 
		"{ObjDir68K}FBAAppleEvents.c.o" 
		"{ObjDir68K}FBALists.c.o" 
		"{ObjDir68K}FBATask.c.o"


"Folder Watcher FBA.68K"  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'wFWa' 
		"{Libraries}MacRuntime.o" 
		"{Libraries}Interface.o"

"Folder Watcher FBA.68K"  {MondoBuild} ":Resources:Folder Watcher FBA.rsrc"
	Echo 'Include ":Resources:Folder Watcher FBA.rsrc";' | Rez -append -o "Folder Watcher FBA.68K"

"Folder Watcher FBA.68K"  {MondoBuild} ":Resources:MPW Size.rsrc"
	Echo 'Include ":Resources:MPW Size.rsrc";' | Rez -append -o "Folder Watcher FBA.68K"


"{ObjDir68K}FBA.c.o"  {MondoBuild} :Sources:FBA.c 
                        :Sources:FBA.h 
                        :Sources:FBAAppleEvents.h 
                        :Sources:FBATask.h 
                        :Sources:FBALists.h
	{C} :Sources:FBA.c -o {Targ} {COptions}

"{ObjDir68K}FBAAppleEvents.c.o"  {MondoBuild} :Sources:FBAAppleEvents.c 
                                   :Sources:FBAAppleEvents.h 
                                   :Sources:FBA.h 
                                   :Sources:FBALists.h
	{C} :Sources:FBAAppleEvents.c -o {Targ} {COptions}

"{ObjDir68K}FBALists.c.o"  {MondoBuild} :Sources:FBALists.c 
                             :Sources:FBALists.h 
                             :Sources:FBA.h 
                             :Sources:FBATask.h
	{C} :Sources:FBALists.c -o {Targ} {COptions}

"{ObjDir68K}FBATask.c.o"  {MondoBuild} :Sources:FBATask.c 
                            :Sources:FBATask.h 
                            :Sources:FBA.h 
                            :Sources:FBAAppleEvents.h 
                            :Sources:FBALists.h
	{C} :Sources:FBATask.c -o {Targ} {COptions}

