#   File:       Folder Watcher FBA.PPC.make
#   Target:     Folder Watcher FBA.PPC
#   Sources:    :Sources:FBA.c
#               :Sources:FBAAppleEvents.c
#               :Sources:FBALists.c
#               :Sources:FBATask.c
#   Created:    Friday, January 26, 1996 02:13:36 PM


MAKEFILE     = "Folder Watcher FBA.PPC.make"
#MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild =
Includes     = 
		-i :Sources:
SymPPC      = 
ObjDirPPC   = :Objects:

PPCCOptions  = {Includes} {SymPPC} 

ObjectsPPC  = 
		"{ObjDirPPC}FBA.c.x" 
		"{ObjDirPPC}FBAAppleEvents.c.x" 
		"{ObjDirPPC}FBALists.c.x" 
		"{ObjDirPPC}FBATask.c.x"


"Folder Watcher FBA.PPC"  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c 'wFWa' 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{PPCLibraries}StdCRuntime.o" 

"Folder Watcher FBA.PPC"  {MondoBuild} ":Resources:Folder Watcher FBA.rsrc"
	Echo 'Include ":Resources:Folder Watcher FBA.rsrc";' | Rez -append -o "Folder Watcher FBA.PPC"

"Folder Watcher FBA.PPC"  {MondoBuild} ":Resources:MPW Size.rsrc"
	Echo 'Include ":Resources:MPW Size.rsrc";' | Rez -append -o "Folder Watcher FBA.PPC"


"{ObjDirPPC}FBA.c.x"  {MondoBuild} :Sources:FBA.c 
                        :Sources:FBA.h 
                        :Sources:FBAAppleEvents.h 
                        :Sources:FBATask.h 
                        :Sources:FBALists.h
	{PPCC} :Sources:FBA.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}FBAAppleEvents.c.x"  {MondoBuild} :Sources:FBAAppleEvents.c 
                                   :Sources:FBAAppleEvents.h 
                                   :Sources:FBA.h 
                                   :Sources:FBALists.h
	{PPCC} :Sources:FBAAppleEvents.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}FBALists.c.x"  {MondoBuild} :Sources:FBALists.c 
                             :Sources:FBALists.h 
                             :Sources:FBA.h 
                             :Sources:FBATask.h
	{PPCC} :Sources:FBALists.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}FBATask.c.x"  {MondoBuild} :Sources:FBATask.c 
                            :Sources:FBATask.h 
                            :Sources:FBA.h 
                            :Sources:FBAAppleEvents.h 
                            :Sources:FBALists.h
	{PPCC} :Sources:FBATask.c -o {Targ} {PPCCOptions}

