#pragma once
// FBA.h
//
// Folder Watcher FBA by Greg Sutton
// Apple Computer Inc 1996, all rights reserved.


#include <Types.h>

// Use this DEVELOPMENT #define to allow debugging with source level debugger.
// You must also change the following flags for the 'SIZE' resource
//	Set 'doesAcivateOnFGSwitch' to 1
//	Set 'onlyBackground'		to 0
// You can use a script to quit the application - no menu bar you see
//#define DEVELOPMENT

#define kFatalErr			 1
#define kNotFatalErr		 0

#define kCycleTimeResource		'Cycl'	// Tim in seconds to check all folders
#define kWatchFolderResource	'WFol'	// This resource stores all the folders to watch
#define kTargetAppResource		'Targ'	// Stores creator type of target application
										//  for modification Apple events.

#define	kFolderWatcherSuite		'wFWS'	// Our private Apple events to indicate modifications

enum
{
	kTypeFileAdded = 'wTFA', kTypeFileRemoved = 'wTFR', kTypeFileModified = 'wTFC'
};


unsigned long	GetCycleTime( void );
