UNIT Sharing;



{	Apple Macintosh Developer Technical Support								}
{																			}
{	PBShare, PBUnshare, and PBGetUGEnty (should be in Files.p but isn't.)	}
{																			}
{	by Jim Luther, Apple Developer Technical Support						}
{																			}
{	File:		Sharing.p													}
{																			}
{	Copyright  1992-1996 Apple Computer, Inc.								}
{	All rights reserved.													}
{																			}
{	You may incorporate this sample code into your applications without		}
{	restriction, though the sample code has been provided "AS IS" and the	}
{	responsibility for its operation is 100% yours.  However, what you are	}
{	not permitted to do is to redistribute the source as "DSC Sample Code"	}
{	after having made changes. If you're going to re-distribute the source,	}
{	we require that you make it clear in the source that the code was		}
{	descended from Apple Sample Code, but that you've made changes.			}


INTERFACE

	FUNCTION PBShare (paramBlock: HParmBlkPtr;
									async: BOOLEAN): OSErr;
	INLINE
		$101F,  { MOVE.B     (A7)+,D0   }
		$205F,  { MOVEA.L    (A7)+,A0   }
		$6606,  { BNE.S      *+$0008    }
		$7042,  { MOVEQ      #$42,D0    }
		$A260,  { _FSDispatch,Immed     }
		$6004,  { BRA.S      *+$0006    }
		$7042,  { MOVEQ      #$42,D0    }
		$A660,  { _FSDispatch,Sys,Immed }
		$3E80;  { MOVE.W     D0,(A7)    }

	FUNCTION PBShareSync (paramBlock: HParmBlkPtr): OSErr;
	INLINE
		$205F,  { MOVEA.L    (A7)+,A0   }
		$7042,  { MOVEQ      #$42,D0    }
		$A260,  { _FSDispatch,Immed     }
		$3E80;  { MOVE.W     D0,(A7)    }

	FUNCTION PBShareAsync (paramBlock: HParmBlkPtr): OSErr;
	INLINE
		$205F,  { MOVEA.L    (A7)+,A0   }
		$7042,  { MOVEQ      #$42,D0    }
		$A660,  { _FSDispatch,Sys,Immed }
		$3E80;  { MOVE.W     D0,(A7)    }



	FUNCTION PBUnshare (paramBlock: HParmBlkPtr;
									async: BOOLEAN): OSErr;
	INLINE
		$101F,  { MOVE.B     (A7)+,D0   }
		$205F,  { MOVEA.L    (A7)+,A0   }
		$6606,  { BNE.S      *+$0008    }
		$7043,  { MOVEQ      #$43,D0    }
		$A260,  { _FSDispatch,Immed     }
		$6004,  { BRA.S      *+$0006    }
		$7043,  { MOVEQ      #$43,D0    }
		$A660,  { _FSDispatch,Sys,Immed }
		$3E80;  { MOVE.W     D0,(A7)    }

	FUNCTION PBUnshareSync (paramBlock: HParmBlkPtr): OSErr;
	INLINE
		$205F,  { MOVEA.L    (A7)+,A0   }
		$7043,  { MOVEQ      #$43,D0    }
		$A260,  { _FSDispatch,Immed     }
		$3E80;  { MOVE.W     D0,(A7)    }

	FUNCTION PBUnshareAsync (paramBlock: HParmBlkPtr): OSErr;
	INLINE
		$205F,  { MOVEA.L    (A7)+,A0   }
		$7043,  { MOVEQ      #$43,D0    }
		$A660,  { _FSDispatch,Sys,Immed }
		$3E80;  { MOVE.W     D0,(A7)    }



	FUNCTION PBGetUGEntry (paramBlock: HParmBlkPtr;
									async: BOOLEAN): OSErr;
	INLINE
		$101F,  { MOVE.B     (A7)+,D0   }
		$205F,  { MOVEA.L    (A7)+,A0   }
		$6606,  { BNE.S      *+$0008    }
		$7044,  { MOVEQ      #$44,D0    }
		$A260,  { _FSDispatch,Immed     }
		$6004,  { BRA.S      *+$0006    }
		$7044,  { MOVEQ      #$44,D0    }
		$A660,  { _FSDispatch,Sys,Immed }
		$3E80;  { MOVE.W     D0,(A7)    }

	FUNCTION PBGetUGEntrySync (paramBlock: HParmBlkPtr): OSErr;
	INLINE
		$205F,  { MOVEA.L    (A7)+,A0   }
		$7044,  { MOVEQ      #$44,D0    }
		$A260,  { _FSDispatch,Immed     }
		$3E80;  { MOVE.W     D0,(A7)    }

	FUNCTION PBGetUGEntryAsync (paramBlock: HParmBlkPtr): OSErr;
	INLINE
		$205F,  { MOVEA.L    (A7)+,A0   }
		$7044,  { MOVEQ      #$44,D0    }
		$A660,  { _FSDispatch,Sys,Immed }
		$3E80;  { MOVE.W     D0,(A7)    }


IMPLEMENTATION

END.