/*------------------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	Standard File Sample Application
#
#	StdFile
#
#	StdFile.h	-	C and Rez Include Source
#
#	Copyright  1989 Apple Computer, Inc.
#	All rights reserved.
#
#	Versions:	
#				1.00				04/89
#				2.00				05/90
#				2.01				06/92
#
#	Components:
#				StdFile.p			April 1, 1989
#				StdFile.h			April 1, 1988
#				StdFile.r			April 1, 1988
#				PStdFile.make		April 1, 1988
------------------------------------------------------------------------------*/

// ALRT resources
#define rAboutAlert			1000
#define rExitAlert			1001		/*emergency exit user alert*/
#define rUserAlert			1002		/*error message user alert*/
#define rFInfoAlert			1003		/*display file info alert*/
#define rShowSelectionAlert	1004

// DLOG resources
#define rListGetDLOG		2000		/*some replacement Standard File dialogs*/ 
#define rSFPGetFileDLOG		2001
#define rSFPPutFileDLOG		2002
#define rGetDirectoryDLOG	2003
#define rPutListsFileDLOG	2004
#define rOptionsDLOG		2005
#define rOptionsSubDLOG		2006
#define rGetIdleUpdates		2007

#define kGetFileDLOG		-4000		/*the standard Standard File dialogs*/
#define kPutFileDLOG		-3999

// ICON resources
#define rNoteIcon			1
#define rCautionIcon		2


// BNDL resources
#define rAppBundle			1000		/*applications bundle resource ID*/
#define rAppSignature 		'sc18'		/*applicaitons OS signature*/

// ICN# resource
#define rAppIcon			1000

// STR# resources.
#define rStrMisc			1000		/*misc. strings*/
#define rStrList			1001		/*strings for the List Manager list*/
#define rErrStrings			1002		/*error strings STR# ID*/

// MBAR resource number
#define rMenuBar			1000

// MENU resources
#define mApple				128
#define iAboutMe			1

#define mFile				129
#define iQuit				12

#define mEdit				130
#define iUndo				1
#define iCut				3
#define iCopy				4
#define iPaste				5
#define iClear				6

#define mSFile				131
#define iNormalGet			1
#define iNormalPGet			2
#define iFileFilter			3
#define iGetDirectory		4
#define iMultiFile			5

#define iNormalPut			7
#define iNormalPPut			8
#define iForceDirectory 	9
#define iPutListsFile		10
#define iPutOptions			11

#define iIdleUpdates		13
#define iRememberFile		14

// CURS resources
#define rSndCursor			1000		/*document cursor ID*/
#define rACursor1			1001		/*animated cursor ID*/
#define rACursor2			1002		/*animated cursor ID*/
#define rACursor3			1003		/*animated cursor ID*/
#define rACursor4			1004		/*animated cursor ID*/

// home brew FILE resource to remember a file
#define rMemorizedFile		1000			/*memorized file*/

// WIND resources
#define rUpdateWindow		1000

// SIZE resource
#define kMinSize			100*1024	/*applications minimum size*/
#define kPrefSize			150*1024	/*applications preferred size*/
