#   File:       FW Receiver.Fat.make
#   Target:     FW Receiver.Fat
#   Sources:    :Sources:AppleEvents.c
#               :Sources:BareBones.c
#               :Sources:Events.c
#               :Sources:Initialize.c
#               :Sources:Menus.c
#               :Sources:Utilities.c
#               :Sources:Windows.c
#               :Sources:Lists.c
#   Created:    Friday, January 26, 1996 06:24:20 PM


MAKEFILE     = "FW Receiver.Fat.make"
#MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild =
Includes     = 
		-i :Sources:
SymPPC      = 
ObjDirPPC   = :Objects:
Sym68K      = 
ObjDir68K   = :Objects:

PPCCOptions  = {Includes} {SymPPC}

COptions     = {Includes} {Sym68K} 

ObjectsPPC  = 
		"{ObjDirPPC}AppleEvents.c.x" 
		"{ObjDirPPC}BareBones.c.x" 
		"{ObjDirPPC}Events.c.x" 
		"{ObjDirPPC}Initialize.c.x" 
		"{ObjDirPPC}Menus.c.x" 
		"{ObjDirPPC}Utilities.c.x" 
		"{ObjDirPPC}Windows.c.x" 
		"{ObjDirPPC}Lists.c.x"

Objects68K  = 
		"{ObjDir68K}AppleEvents.c.o" 
		"{ObjDir68K}BareBones.c.o" 
		"{ObjDir68K}Events.c.o" 
		"{ObjDir68K}Initialize.c.o" 
		"{ObjDir68K}Menus.c.o" 
		"{ObjDir68K}Utilities.c.o" 
		"{ObjDir68K}Windows.c.o" 
		"{ObjDir68K}Lists.c.o"


"FW Receiver.Fat"  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c 'wFWR' 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{PPCLibraries}StdCRuntime.o" 
		"{PPCLibraries}PPCCRuntime.o"


"FW Receiver.Fat"  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'wFWR' 
		"{Libraries}MacRuntime.o" 
		"{Libraries}Interface.o"


"FW Receiver.Fat"  {MondoBuild} ":Resources:FW Receiver.rsrc"
	Echo 'Include ":Resources:FW Receiver.rsrc";' | Rez -append -o "FW Receiver.Fat"

"FW Receiver.Fat"  {MondoBuild} ":Resources:Tabs LDEF.68K.rsrc"
	Echo 'Include ":Resources:Tabs LDEF.68K.rsrc";' | Rez -append -o "FW Receiver.Fat"

"FW Receiver.Fat"  {MondoBuild} ":Resources:Size.rsrc"
	Echo 'Include ":Resources:Size.rsrc";' | Rez -append -o "FW Receiver.Fat"


"{ObjDirPPC}AppleEvents.c.x"  {MondoBuild} :Sources:AppleEvents.c 
                                :Sources:BareBones.h 
                                :Sources:Prototypes.h
	{PPCC} :Sources:AppleEvents.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}BareBones.c.x"  {MondoBuild} :Sources:BareBones.c 
                              :Sources:Prototypes.h 
                              :Sources:BareBones.h
	{PPCC} :Sources:BareBones.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Events.c.x"  {MondoBuild} :Sources:Events.c 
                              :Sources:BareBones.h 
                              :Sources:Prototypes.h
	{PPCC} :Sources:Events.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Initialize.c.x"  {MondoBuild} :Sources:Initialize.c 
                               :Sources:BareBones.h 
                               :Sources:Prototypes.h
	{PPCC} :Sources:Initialize.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Menus.c.x"  {MondoBuild} :Sources:Menus.c 
                          :Sources:BareBones.h 
                          :Sources:Prototypes.h
	{PPCC} :Sources:Menus.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Utilities.c.x"  {MondoBuild} :Sources:Utilities.c 
                              :Sources:BareBones.h 
                              :Sources:Prototypes.h
	{PPCC} :Sources:Utilities.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Windows.c.x"  {MondoBuild} :Sources:Windows.c 
                            :Sources:BareBones.h 
                            :Sources:Prototypes.h
	{PPCC} :Sources:Windows.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Lists.c.x"  {MondoBuild} :Sources:Lists.c 
                          :Sources:BareBones.h 
                          :Sources:Prototypes.h
	{PPCC} :Sources:Lists.c -o {Targ} {PPCCOptions}


"{ObjDir68K}AppleEvents.c.o"  {MondoBuild} :Sources:AppleEvents.c 
                                :Sources:BareBones.h 
                                :Sources:Prototypes.h
	{C} :Sources:AppleEvents.c -o {Targ} {COptions}

"{ObjDir68K}BareBones.c.o"  {MondoBuild} :Sources:BareBones.c 
                              :Sources:Prototypes.h 
                              :Sources:BareBones.h
	{C} :Sources:BareBones.c -o {Targ} {COptions}

"{ObjDir68K}Events.c.o"  {MondoBuild} :Sources:Events.c 
                              :Sources:BareBones.h 
                              :Sources:Prototypes.h
	{C} :Sources:Events.c -o {Targ} {COptions}

"{ObjDir68K}Initialize.c.o"  {MondoBuild} :Sources:Initialize.c 
                               :Sources:BareBones.h 
                               :Sources:Prototypes.h
	{C} :Sources:Initialize.c -o {Targ} {COptions}

"{ObjDir68K}Menus.c.o"  {MondoBuild} :Sources:Menus.c 
                          :Sources:BareBones.h 
                          :Sources:Prototypes.h
	{C} :Sources:Menus.c -o {Targ} {COptions}

"{ObjDir68K}Utilities.c.o"  {MondoBuild} :Sources:Utilities.c 
                              :Sources:BareBones.h 
                              :Sources:Prototypes.h
	{C} :Sources:Utilities.c -o {Targ} {COptions}

"{ObjDir68K}Windows.c.o"  {MondoBuild} :Sources:Windows.c 
                            :Sources:BareBones.h 
                            :Sources:Prototypes.h
	{C} :Sources:Windows.c -o {Targ} {COptions}

"{ObjDir68K}Lists.c.o"  {MondoBuild} :Sources:Lists.c 
                          :Sources:BareBones.h 
                          :Sources:Prototypes.h
	{C} :Sources:Lists.c -o {Targ} {COptions}

