#   File:       Folder Watcher FBA.Fat.make
#   Target:     Folder Watcher FBA.Fat
#   Sources:    :Sources:FBA.c
#               :Sources:FBAAppleEvents.c
#               :Sources:FBALists.c
#               :Sources:FBATask.c
#   Created:    Friday, January 26, 1996 12:58:09 PM


MAKEFILE     = "Folder Watcher FBA.Fat.make"
#MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild = 
Includes     = 
		-i :Sources:
SymPPC      = 
ObjDirPPC   = :Objects:
Sym68K      = 
ObjDir68K   = :Objects:

PPCCOptions  = {Includes} {SymPPC}

COptions     = {Includes} {Sym68K} 

ObjectsPPC  = 
		"{ObjDirPPC}FBA.c.x" 
		"{ObjDirPPC}FBAAppleEvents.c.x" 
		"{ObjDirPPC}FBALists.c.x" 
		"{ObjDirPPC}FBATask.c.x"

Objects68K  = 
		"{ObjDir68K}FBA.c.o" 
		"{ObjDir68K}FBAAppleEvents.c.o" 
		"{ObjDir68K}FBALists.c.o" 
		"{ObjDir68K}FBATask.c.o"


"Folder Watcher FBA.Fat"  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c 'wFWa' 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{PPCLibraries}StdCRuntime.o"


"Folder Watcher FBA.Fat"  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'wFWa' 
		"{Libraries}MacRuntime.o" 
		"{Libraries}Interface.o"

"Folder Watcher FBA.Fat"  {MondoBuild} ":Resources:Folder Watcher FBA.rsrc"
	Echo 'Include ":Resources:Folder Watcher FBA.rsrc";' | Rez -append -o "Folder Watcher FBA.Fat"

"Folder Watcher FBA.Fat"  {MondoBuild} ":Resources:MPW Size.rsrc"
	Echo 'Include ":Resources:MPW Size.rsrc";' | Rez -append -o "Folder Watcher FBA.Fat"

"{ObjDirPPC}FBA.c.x"  {MondoBuild} :Sources:FBA.c 
                        :Sources:FBA.h 
                        :Sources:FBAAppleEvents.h 
                        :Sources:FBATask.h 
                        :Sources:FBALists.h
	{PPCC} :Sources:FBA.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}FBAAppleEvents.c.x"  {MondoBuild} :Sources:FBAAppleEvents.c 
                                   :Sources:FBAAppleEvents.h 
                                   :Sources:FBA.h 
                                   :Sources:FBALists.h
	{PPCC} :Sources:FBAAppleEvents.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}FBALists.c.x"  {MondoBuild} :Sources:FBALists.c 
                             :Sources:FBALists.h 
                             :Sources:FBA.h 
                             :Sources:FBATask.h
	{PPCC} :Sources:FBALists.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}FBATask.c.x"  {MondoBuild} :Sources:FBATask.c 
                            :Sources:FBATask.h 
                            :Sources:FBA.h 
                            :Sources:FBAAppleEvents.h 
                            :Sources:FBALists.h
	{PPCC} :Sources:FBATask.c -o {Targ} {PPCCOptions}


"{ObjDir68K}FBA.c.o"  {MondoBuild} :Sources:FBA.c 
                        :Sources:FBA.h 
                        :Sources:FBAAppleEvents.h 
                        :Sources:FBATask.h 
                        :Sources:FBALists.h
	{C} :Sources:FBA.c -o {Targ} {COptions}

"{ObjDir68K}FBAAppleEvents.c.o"  {MondoBuild} :Sources:FBAAppleEvents.c 
                                   :Sources:FBAAppleEvents.h 
                                   :Sources:FBA.h 
                                   :Sources:FBALists.h
	{C} :Sources:FBAAppleEvents.c -o {Targ} {COptions}

"{ObjDir68K}FBALists.c.o"  {MondoBuild} :Sources:FBALists.c 
                             :Sources:FBALists.h 
                             :Sources:FBA.h 
                             :Sources:FBATask.h
	{C} :Sources:FBALists.c -o {Targ} {COptions}

"{ObjDir68K}FBATask.c.o"  {MondoBuild} :Sources:FBATask.c 
                            :Sources:FBATask.h 
                            :Sources:FBA.h 
                            :Sources:FBAAppleEvents.h 
                            :Sources:FBALists.h
	{C} :Sources:FBATask.c -o {Targ} {COptions}

