#define SystemSevenOrLater 1
#include "types.r"
#include "BalloonTypes.r"


/*\
|*| ---------------------------------------------------------------------
|*| StandardPutFile 'DITL' with added Append button
|*| ---------------------------------------------------------------------
\*/
resource 'DITL' (129, purgeable)
{
	{
	/* the standard PutFile dialog */
		/*  1 */ {189, 252, 209, 332}, Button     { enabled, "Save" },
		/*  2 */ {130, 252, 150, 332}, Button     { enabled, "Cancel" },
		/*  3 */ {  0,   0,   0,   0}, HelpItem   { disabled, HMScanhdlg { -6043 } },
		/*  4 */ {  8, 235,  24, 337}, UserItem   { enabled },
		/*  5 */ { 32, 252,  52, 332}, Button     { enabled, "Eject" },
		/*  6 */ { 60, 252,  80, 332}, Button     { enabled, "Desktop" },
		/*  7 */ { 29,  12, 157, 230}, UserItem   { enabled },
		/*  8 */ {  6,  12,  25, 230}, UserItem   { enabled },
		/*  9 */ {119, 250, 120, 334}, Picture    { disabled, 11 },
		/* 10 */ {187,  15, 203, 227}, EditText   { enabled, "" },
		/* 11 */ {166,  15, 182, 227}, StaticText { disabled, "Save as:" },
		/* 12 */ { 88, 252, 108, 332}, UserItem   { disabled },
		
	/* my additions */
		/* 13 */ {158, 252, 178, 332}, Button     { enabled, "Append" },
		/* 14 */ {  0,   0,   0,   0}, HelpItem   { disabled, HMScanhdlg { 129 } }
	}
};


/*\
|*| ---------------------------------------------------------------------
|*| StandardPutFile 'DLOG' with extra room Append button
|*| ---------------------------------------------------------------------
\*/
resource 'DLOG' (129, purgeable)
	{
		{0, 0, 218, 344},
		dBoxProc, invisible, noGoAway,
		0, 129, ""
	};


/*\
|*| ---------------------------------------------------------------------
|*| 'hdlg' for Balloon Help for Append button
|*| ---------------------------------------------------------------------
\*/
resource 'hdlg' (129, purgeable)
{
	2, 12, 0, 0, 0,
	HMSkipItem { },
	{	/* array HDialogArray: 1 elements */
		/* [ 1] */ HMStringResItem { {0, 0}, {0, 0, 0, 0}, 129, 1, 129, 2, 129, 0, 129, 0 },
	}
};


/*\
|*| ---------------------------------------------------------------------
|*| Balloon Help strings for Append button
|*| ---------------------------------------------------------------------
\*/
resource 'STR#' (129, purgeable)
{
	{	
		/* [1] */
		"To append your document to the file in t"
		"he folder or disk whose contents are lis"
		"ted in the window, click this button.  T"
		"he document will be appended to the file"
		" with the name shown in the box below th"
		"e window.",
		/* [2] */
		"To append your document to the file in t"
		"he folder or disk whose contents are lis"
		"ted in the window, click here.  The butt"
		"on is not available because no file with"
		" this name exists, or because you cannot"
		" make changes to the selected folder or "
		"disk.",
	}
};


/*\
|*| ---------------------------------------------------------------------
|*| 'DITL' for the alert to output the results
|*| ---------------------------------------------------------------------
\*/
resource 'DITL' (128)
{
	{	
		{74, 270, 94, 350}, Button { enabled, "Quit" },
		{74, 175, 94, 255}, Button { enabled, "Again" },
		{11,  77, 64, 329}, StaticText { disabled, "Good: ^0\nReplace: ^1\nName: ^2" }
	}
};


/*\
|*| ---------------------------------------------------------------------
|*| 'ALRT' for the alert to output the results
|*| ---------------------------------------------------------------------
\*/
resource 'ALRT' (128)
{
	{180, 100, 286, 468},
	128,
	{	
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};

